Subject: [sipcore] SIP outbound with one flow

From: "Olle E. Johansson" <[email-masked]>
Date: Wed, 17 Feb 2016 14:42:46 +0100

Hi!

I am trying to parse the requirements for the number of flows in RFC 5626 (Outbound).

Section 4.2.1 says

"At configuration time, UAs obtain one or more SIP URIs representing
   the default outbound-proxy-set. “

"However, a UA MUST support sets with at
   least two outbound proxy URIs and SHOULD support sets with up to four
   URIs.”

" If the set has more than
   one URI, the UAC MUST send a REGISTER request to at least two of the
   default outbound proxies from the set. "

It seems like using one URI (one outbound proxy and one flow) is accepted but the UA must support multiple flows.

The SIP over Websockets RFC is based on Outbound but only talks about one connection. 

If I parse this as a requirement of at least one provided by the outbound proxy discovery mechanism, but that any UA that claims support of outbound must be able to handle
dual flows. (and yes, there’s a draft on how to use DNS for OB proxy discovery)

Right?
/O

---

From: [email-masked] (Dale R. Worley)
Date: Wed, 17 Feb 2016 09:21:56 -0500

"Olle E. Johansson" <[email-masked]> writes:
> If I parse this as a requirement of at least one provided by the
> outbound proxy discovery mechanism, but that any UA that claims
> support of outbound must be able to handle dual flows. (and yes,
> there's a draft on how to use DNS for OB proxy discovery)
>
> Right?

I agree with you.  Also, it seems to me that the mechanism is designed
to support the situation where the UA is administratively configured to
only establish one flow.

Dale